Top Pools by DEX
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/dexes/{dex}/pools \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "eth_0x6469b34a2a4723163c4902dbbdea728d20693c12",
"type": "pool",
"attributes": {
"base_token_price_usd": "2.53037158380141",
"base_token_price_native_currency": "0.00122586914090918",
"quote_token_price_usd": "2062.57293793663",
"quote_token_price_native_currency": "1.0",
"base_token_price_quote_token": "0.001225869141",
"quote_token_price_base_token": "815.74775531",
"address": "0x6469b34a2a4723163c4902dbbdea728d20693c12",
"name": "NEAR / WETH",
"pool_created_at": "2021-10-11T01:52:05Z",
"fdv_usd": "8774304.71122981",
"market_cap_usd": "8774304.71122981",
"price_change_percentage": {
"m5": "0",
"m15": "0",
"m30": "0.049",
"h1": "0.428",
"h6": "-0.885",
"h24": "-12.097"
},
"transactions": {
"m5": {
"buys": 0,
"sells": 0,
"buyers": 0,
"sellers": 0
},
"m15": {
"buys": 0,
"sells": 0,
"buyers": 0,
"sellers": 0
},
"m30": {
"buys": 1,
"sells": 2,
"buyers": 1,
"sellers": 2
},
"h1": {
"buys": 6,
"sells": 4,
"buyers": 2,
"sellers": 3
},
"h6": {
"buys": 39,
"sells": 37,
"buyers": 24,
"sellers": 16
},
"h24": {
"buys": 172,
"sells": 180,
"buyers": 62,
"sellers": 55
}
},
"volume_usd": {
"m5": "0.0",
"m15": "0.0",
"m30": "215.04729883",
"h1": "572.0025141642",
"h6": "7298.4165779336",
"h24": "38207.6214949268"
},
"reserve_in_usd": "54784.7204",
"sentiment_vote_positive_percentage": 0,
"sentiment_vote_negative_percentage": 0,
"community_sus_report": 0
},
"relationships": {
"base_token": {
"data": {
"id": "eth_0x85f17cf997934a597031b2e18a9ab6ebd4b9f6a4",
"type": "token"
}
},
"quote_token": {
"data": {
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token"
}
},
"dex": {
"data": {
"id": "sushiswap",
"type": "dex"
}
}
}
}
],
"included": [
{
"id": "eth_0x85f17cf997934a597031b2e18a9ab6ebd4b9f6a4",
"type": "token",
"attributes": {
"address": "0x85f17cf997934a597031b2e18a9ab6ebd4b9f6a4",
"name": "NEAR",
"symbol": "NEAR",
"decimals": 24,
"image_url": "https://coin-images.coingecko.com/coins/images/71681/large/near.png?1768905174",
"coingecko_coin_id": "rainbow-bridged-near-ethereum"
}
},
{
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token",
"attributes": {
"address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"name": "Wrapped Ether",
"symbol": "WETH",
"decimals": 18,
"image_url": "https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332",
"coingecko_coin_id": "weth"
}
},
{
"id": "sushiswap",
"type": "dex",
"attributes": {
"name": "SushiSwap"
}
}
]
}Pools
Top Pools by DEX
To query all the top pools based on the provided network and decentralized exchange (DEX)
GET
/
onchain
/
networks
/
{network}
/
dexes
/
{dex}
/
pools
Top Pools by DEX
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/dexes/{dex}/pools \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "eth_0x6469b34a2a4723163c4902dbbdea728d20693c12",
"type": "pool",
"attributes": {
"base_token_price_usd": "2.53037158380141",
"base_token_price_native_currency": "0.00122586914090918",
"quote_token_price_usd": "2062.57293793663",
"quote_token_price_native_currency": "1.0",
"base_token_price_quote_token": "0.001225869141",
"quote_token_price_base_token": "815.74775531",
"address": "0x6469b34a2a4723163c4902dbbdea728d20693c12",
"name": "NEAR / WETH",
"pool_created_at": "2021-10-11T01:52:05Z",
"fdv_usd": "8774304.71122981",
"market_cap_usd": "8774304.71122981",
"price_change_percentage": {
"m5": "0",
"m15": "0",
"m30": "0.049",
"h1": "0.428",
"h6": "-0.885",
"h24": "-12.097"
},
"transactions": {
"m5": {
"buys": 0,
"sells": 0,
"buyers": 0,
"sellers": 0
},
"m15": {
"buys": 0,
"sells": 0,
"buyers": 0,
"sellers": 0
},
"m30": {
"buys": 1,
"sells": 2,
"buyers": 1,
"sellers": 2
},
"h1": {
"buys": 6,
"sells": 4,
"buyers": 2,
"sellers": 3
},
"h6": {
"buys": 39,
"sells": 37,
"buyers": 24,
"sellers": 16
},
"h24": {
"buys": 172,
"sells": 180,
"buyers": 62,
"sellers": 55
}
},
"volume_usd": {
"m5": "0.0",
"m15": "0.0",
"m30": "215.04729883",
"h1": "572.0025141642",
"h6": "7298.4165779336",
"h24": "38207.6214949268"
},
"reserve_in_usd": "54784.7204",
"sentiment_vote_positive_percentage": 0,
"sentiment_vote_negative_percentage": 0,
"community_sus_report": 0
},
"relationships": {
"base_token": {
"data": {
"id": "eth_0x85f17cf997934a597031b2e18a9ab6ebd4b9f6a4",
"type": "token"
}
},
"quote_token": {
"data": {
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token"
}
},
"dex": {
"data": {
"id": "sushiswap",
"type": "dex"
}
}
}
}
],
"included": [
{
"id": "eth_0x85f17cf997934a597031b2e18a9ab6ebd4b9f6a4",
"type": "token",
"attributes": {
"address": "0x85f17cf997934a597031b2e18a9ab6ebd4b9f6a4",
"name": "NEAR",
"symbol": "NEAR",
"decimals": 24,
"image_url": "https://coin-images.coingecko.com/coins/images/71681/large/near.png?1768905174",
"coingecko_coin_id": "rainbow-bridged-near-ethereum"
}
},
{
"id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"type": "token",
"attributes": {
"address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"name": "Wrapped Ether",
"symbol": "WETH",
"decimals": 18,
"image_url": "https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332",
"coingecko_coin_id": "weth"
}
},
{
"id": "sushiswap",
"type": "dex",
"attributes": {
"name": "SushiSwap"
}
}
]
}Notes
- Returns up to 20 pools per page. Pagination beyond 10 pages requires Analyst plan or above.
- Unverified token market cap returns
null— the displayed value on GeckoTerminal may match FDV and might not be accurate. - Use
includeto return related attributes under the top-levelincludedkey.
For more flexible pool filtering, use Pools Megafilter.
SDK Examples
const response = await client.onchain.networks.dexes.getPools('sushiswap', {
network: 'eth',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Network ID.
*refers to /onchain/networks.
DEX ID.
*refers to /onchain/networks/{network}/dexes.
Query Parameters
Attributes to include, comma-separated if more than one.
Available values: base_token, quote_token, dex
Page through results. Default value: 1
Sort the pools by field.
Default: h24_tx_count_desc
Available options:
h24_tx_count_desc, h24_volume_usd_desc Include GeckoTerminal community data (sentiment votes, suspicious reports).
Default: false
Was this page helpful?
⌘I

